Преглед на файлове

build.sh: check if gluon got modified and bail out if necessary

Karsten Böddeker преди 8 години
родител
ревизия
5674fcb6c9
променени са 1 файла, в които са добавени 2 реда и са изтрити 1 реда
  1. 2 1
      build.sh

+ 2 - 1
build.sh

@@ -114,7 +114,8 @@ pushd ${CODE_DIR} > /dev/null
 
 
 ### CHECKOUT GLUON
 ### CHECKOUT GLUON
 progress "Checking out GLUON '${BASE}' ..."
 progress "Checking out GLUON '${BASE}' ..."
-# TODO: check if gluon got modified and bail out if necessary
+# check if gluon got modified and bail out if necessary
+[ "$(git status --porcelain)" ] && abort "Local changes to peers directory. Cowardly refusing to update gluon repository." >&2
 git fetch
 git fetch
 git checkout -q ${BASE}
 git checkout -q ${BASE}
 [ "$?" -eq "0" ] || abort "Failed to checkout '${BASE}' gluon base version, mimimi." >&2
 [ "$?" -eq "0" ] || abort "Failed to checkout '${BASE}' gluon base version, mimimi." >&2